<!DOCTYPE HTML>
<html>
<head>
    <title>python-socketio test</title>
    <script type="text/javascript" src="//code.jquery.com/jquery-2.1.4.min.js"></script>
    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/3.0.3/socket.io.min.js"></script>
    <script type="text/javascript" charset="utf-8">
        $(document).ready(function(){
            var socket = io.connect();
            var cur_key = 'auth'
            
            socket.on('connect', function() {
                socket.emit('req', { key: cur_key, input: 'init' });
            });
            
            socket.on('disconnect', function() {
                $('#log').append('<br>Disconnected');
            });
            
            socket.on('res', function(msg) {
                const { type, key, message } = msg
                
                cur_key = key
              
                $('#log').append(`<br>${type}: ${message} ${key}`);
            });

            // event handler for server sent data
            // the data is displayed in the "Received" section of the page
            // handlers for the different forms in the page
            // these send data to the server in a variety of ways
            $('form#emit').submit(function(event) {
                socket.emit('req', { key: cur_key, input: $('#emit_data').val()});
                return false;
            });
        });
    </script>
</head>
<body>
    <h1>python-socketio test</h1>
    <h2>Send:</h2>
    <form id="emit" method="POST" action='#'>
        <input type="text" name="emit_data" id="emit_data" placeholder="Message">
        <input type="submit" value="Echo">
    </form>
    <h2>Receive:</h2>
    <div><p id="log"></p></div>
</body>
</html>
